summaryrefslogtreecommitdiff
path: root/storage/ndb/demos/run_demo1-SS.sh
diff options
context:
space:
mode:
Diffstat (limited to 'storage/ndb/demos/run_demo1-SS.sh')
-rwxr-xr-xstorage/ndb/demos/run_demo1-SS.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/storage/ndb/demos/run_demo1-SS.sh b/storage/ndb/demos/run_demo1-SS.sh
new file mode 100755
index 00000000000..5ede57c44c4
--- /dev/null
+++ b/storage/ndb/demos/run_demo1-SS.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+if [ -z "$MYSQLCLUSTER_TOP" ]; then
+ echo "MYSQLCLUSTER_TOP not set"
+ exit 1
+fi
+if [ -d "$MYSQLCLUSTER_TOP/ndb" ]; then :; else
+ echo "$MYSQLCLUSTER_TOP/ndb directory does not exist"
+ exit 1
+fi
+NDB_CONNECTSTRING=
+NDB_HOME=
+NDB_DEMO=$MYSQLCLUSTER_TOP/ndb/demos/1-node-SS
+
+NDB_PORT_BASE="101"
+NDB_REP_ID="4"
+NDB_EXTREP_ID="5"
+
+NDB_DEMO_NAME="Demo 1-SS MySQL Cluster"
+NDB_HOST1=$1
+NDB_HOST2=$2
+if [ -z "$NDB_HOST1" ]; then
+ NDB_HOST1=localhost
+fi
+if [ -z "$NDB_HOST2" ]; then
+ NDB_HOST2=localhost
+fi
+NDB_HOST=$NDB_HOST2
+NDB_EXTHOST=$NDB_HOST1
+
+source $MYSQLCLUSTER_TOP/ndb/demos/run_demo1-PS-SS_common.sh